/* ###
 * IP: GHIDRA
 * REVIEWED: YES
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ghidra.app.util.bin.format.elf;

/**
 * An exception class to handle encountering
 * invalid ELF Headers.
 */
public class ElfException extends Exception {

    /**
     * Constructs a new exception with the specified detail message.
     * @param   message   the detail message.
     */
	public ElfException(String message) {
		super(message);
	}

    /**
     * Constructs a new exception with the specified cause and a detail message.
     * @param  cause the cause (which is saved for later retrieval by the method
     */
	public ElfException(Exception cause) {
		super(cause);
	}

}
